---
import type { CollectionEntry } from 'astro:content';
import BaseHead from '../components/BaseHead.astro';
import FormattedDate from '../components/FormattedDate.astro';
import BaseLayout from "./BaseLayout.astro";
import {getCollection} from "astro:content";

type Props = CollectionEntry<'blog'>['data'];

const { title, description, pubDate, updatedDate, heroImage, related_konzert_ref } = Astro.props;

const relatedKonzert = (await getCollection('konzert')).find((konzert) => konzert?.slug === related_konzert_ref?.slug);

---

<html lang="de">
	<head>
		<BaseHead title={title} description={description} />
	</head>

  <BaseLayout>
    <div class="bg-white px-6 py-32 lg:px-8">
      <div class="mx-auto max-w-3xl text-base leading-7 text-gray-700 prose">
			<article>
				{heroImage && <img  src={heroImage} alt="" class="w-full rounded-2xl bg-gray-100 object-cover" />}
				<h1 class="title">{title}</h1>
        <FormattedDate date={pubDate} />
        {
          updatedDate && (
            <div class="last-updated-on">
              Last updated on <FormattedDate date={updatedDate} />
            </div>
          )
        }
        <hr />
        <p>{description}</p>
        <slot />


      </article>
      </div>
    </div>
    { (related_konzert_ref && relatedKonzert) ?
    (<div class="bg-white">
      <div class="mx-auto max-w-7xl py-24 sm:px-6 sm:py-32 lg:px-8">
        <div class="relative isolate overflow-hidden bg-gray-900 px-6 pt-16 shadow-2xl sm:rounded-3xl sm:px-16 md:pt-24 lg:flex lg:gap-x-20 lg:px-24 lg:pt-0">
          <svg viewBox="0 0 1024 1024" class="absolute left-1/2 top-1/2 -z-10 h-[64rem] w-[64rem] -translate-y-1/2 [mask-image:radial-gradient(closest-side,white,transparent)] sm:left-full sm:-ml-80 lg:left-1/2 lg:ml-0 lg:-translate-x-1/2 lg:translate-y-0" aria-hidden="true">
            <circle cx="512" cy="512" r="512" fill="url(#759c1415-0410-454c-8f7c-9a820de03641)" fill-opacity="0.7" />
            <defs>
              <radialGradient id="759c1415-0410-454c-8f7c-9a820de03641">
                <stop stop-color="#7775D6" />
                <stop offset="1" stop-color="#E935C1" />
              </radialGradient>
            </defs>
          </svg>
          <div class="mx-auto max-w-md text-center lg:mx-0 lg:flex-auto lg:py-32 lg:text-left">
            <h2 class="text-3xl font-bold tracking-tight text-white sm:text-4xl">{relatedKonzert?.data.title}</h2>
            <p class="mt-6 text-lg leading-8 text-gray-300">{relatedKonzert?.data.description}</p>
            <div class="mt-10 flex items-center justify-center gap-x-6 lg:justify-start">
              <a href={`konzerte/${relatedKonzert?.slug}`} class="rounded-md bg-white px-3.5 py-2.5 text-sm font-semibold text-gray-900 shadow-sm hover:bg-gray-100 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-white">Zum Konzert</a>
            </div>
          </div>
          <div class="relative mt-16 h-80 lg:mt-8">
            <img class="absolute left-0 top-0 w-[57rem] max-w-none rounded-md bg-white/5 ring-1 ring-white/10" src={relatedKonzert?.data.heroImage} alt={relatedKonzert?.data.title} width="1824" height="1080">
          </div>
        </div>
      </div>
    </div>) : null }

  </BaseLayout>
</html>
